Subject: bug#57858: closed (Re: bug#57858: [PATCH] gnu: git-annex: Promote git to propagated input)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 Oct 2022 08:09:02 +0000

Your bug report

#57858: [PATCH] gnu: git-annex: Promote git to propagated input

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57858: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57858
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57858: [PATCH] gnu: git-annex: Promote git to propagated input
From: Ludovic Courtès <[email-masked]>
To: Konrad Hinsen <[email-masked]>
Cc: [email-masked], Maxime Devos <[email-masked]>
Date: Mon, 17 Oct 2022 10:07:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Konrad Hinsen <[email-masked]> skribis:

> Maxime Devos <[email-masked]> writes:
>
>> What's the reason for this patch?  My guess is that it's because 
>> git-annex cannot find git:
>
> That was indeed the starting point. But...
>
>> If so, propagation (which as a few small downsides) can be avoided with 
>> an appropriate substitute* fixing the file name of the git binary.
>
> ... I tried that and still got error messages whose exact cause I don't
> quite understand.
>
> What made me opt for git as a propagated input is that (1) it works just
> fine and (2) there isn't much you can do with git-annex without having
> git as well. git is even the official user interface of git-annex.

Yeah, that sounds reasonable: I’d have made the same suggestion as
Maxime but any improvement here is welcome.

Applied, thanks!

Ludo’.

Subject: [PATCH] gnu: git-annex: Promote git to propagated input
From: Konrad Hinsen <[email-masked]>
To: [email-masked]
Date: Fri, 16 Sep 2022 14:37:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/haskell-apps.scm (git-annex): changed inputs
[propagated-inputs]: Add git
[inputs]: Remove git
---
 gnu/packages/haskell-apps.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/haskell-apps.scm b/gnu/packages/haskell-apps.scm
index 50380281d7..d5e855cf9a 100644
--- a/gnu/packages/haskell-apps.scm
+++ b/gnu/packages/haskell-apps.scm
@@ -462,8 +462,9 @@ (define-public git-annex
            ghc-utf8-string
            ghc-uuid
            ghc-vector
-           git
            rsync))
+    (propagated-inputs
+     (list git))
     (native-inputs
      (list ghc-tasty ghc-tasty-hunit ghc-tasty-quickcheck ghc-tasty-rerun
            perl))
-- 
2.37.3